parted_server crashed with SIGABRT in ped_assert()

Bug #1306704 reported by Max Brustkern on 2014-04-11
80
This bug affects 11 people
Affects Status Importance Assigned to Milestone
parted (Ubuntu)
Critical
Colin Watson
Trusty
Critical
Colin Watson

Bug Description

Reproducible on Ubuntu Trusty Desktop 20140413 AMD64, Ubuntu Gnome, Kubuntu.

TEST CASE:
1. Prepare a GPT or MSDOS disk with 1 primary partition of type FAT32 which uses all disk space.
2. Boot in EFI or BIOS mode from an Ubuntu Trusty Desktop AMD64 ISO with this disk attached
3. Launch Ubiquity from the live session
4. On step 'Prepare' press 'Continue'

ACTUAL RESULT:
parted_server crashes with the following trace in syslog:
Backtrace has 9 calls on stack:
  9: /lib/x86_64-linux-gnu/libparted.so.0(ped_assert+0x31) [0x7ff39159e4b1]
  8: /lib/x86_64-linux-gnu/libparted.so.0(+0x26451) [0x7ff3915b5451]
  7: /lib/x86_64-linux-gnu/libparted.so.0(fat_open+0x115) [0x7ff3915b7b85]
  6: /lib/x86_64-linux-gnu/libparted.so.0(ped_file_system_open+0x6f) [0x7ff39159fd9f]
  5: parted_server() [0x40d967]
  4: parted_server() [0x40f4ac]
  3: parted_server() [0x402bb1]
  2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7ff3911eaec5]
  1: parted_server() [0x402bda]

and a unreadable error dialog.

Retraced stack trace attached to bug 1307175

== Original Description ==
I've got the daily kubuntu amd64 desktop image on a usb stick, booted via grub2. When I get to the part where the installer wants to unmount partitions, I get an unreadable error message, and the installer sits on "Preparing to install Kubuntu" with the Back and Continue buttons greyed out.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubiquity 2.18.1 [modified: lib/partman/automatically_partition/question]
ProcVersionSignature: Ubuntu 3.13.0-23.45-generic 3.13.8
Uname: Linux 3.13.0-23-generic x86_64
ApportVersion: 2.14.1-0ubuntu2
Architecture: amd64
CasperVersion: 1.340
CurrentDesktop: KDE
Date: Fri Apr 11 15:58:10 2014
InstallCmdLine: BOOT_IMAGE=(loop)/casper/vmlinuz.efi boot=casper iso-scan/filename=/desktop-64.iso noeject noprompt splash --
LiveMediaBuild: Kubuntu 14.04 LTS "Trusty Tahr" - Daily amd64 (20140411)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Max Brustkern (nuclearbob) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1306704

tags: added: iso-testing
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

Could you please check if you have a crash file for parted in /var/crash ? If so, report a bug with ubuntu-bug /var/crash/<parted_crash_file>.crash

Thanks.

Changed in ubiquity (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

From syslog:

Apr 11 15:57:03 kubuntu ntfsresize: ntfsresize v2013.1.13AR.1 (libntfs-3g)
Apr 11 15:57:03 kubuntu ntfsresize: Device name : /dev/sda3
Apr 11 15:57:03 kubuntu ntfsresize: NTFS volume version: 3.1
Apr 11 15:57:03 kubuntu ntfsresize: Cluster size : 4096 bytes
Apr 11 15:57:03 kubuntu ntfsresize: Current volume size: 140054426112 bytes (140055 MB)
Apr 11 15:57:03 kubuntu ntfsresize: Current device size: 140054431744 bytes (140055 MB)
Apr 11 15:57:03 kubuntu ntfsresize: Checking filesystem consistency ...
Apr 11 15:57:03 kubuntu ntfsresize: Accounting clusters ...
Apr 11 15:57:03 kubuntu ntfsresize: Space in use : 61937 MB (44.2%)
Apr 11 15:57:03 kubuntu ntfsresize: Collecting resizing constraints ...
Apr 11 15:57:03 kubuntu ntfsresize: You might resize at 61936762880 bytes or 61937 MB (freeing 78118 MB).
Apr 11 15:57:03 kubuntu ntfsresize: Please make a test run using both the -n and -s options before real resizing!
Apr 11 15:57:03 kubuntu ubiquity: Backtrace has 9 calls on stack:
Apr 11 15:57:03 kubuntu ubiquity: 9: /lib/x86_64-linux-gnu/libparted.so.0(ped_assert+0x31) [0x7ff39159e4b1]
Apr 11 15:57:03 kubuntu ubiquity: 8: /lib/x86_64-linux-gnu/libparted.so.0(+0x26451) [0x7ff3915b5451]
Apr 11 15:57:03 kubuntu ubiquity: 7: /lib/x86_64-linux-gnu/libparted.so.0(fat_open+0x115) [0x7ff3915b7b85]
Apr 11 15:57:03 kubuntu ubiquity: 6: /lib/x86_64-linux-gnu/libparted.so.0(ped_file_system_open+0x6f) [0x7ff39159fd9f]
Apr 11 15:57:03 kubuntu ubiquity: 5: parted_server() [0x40d967]
Apr 11 15:57:03 kubuntu ubiquity: 4: parted_server() [0x40f4ac]
Apr 11 15:57:03 kubuntu ubiquity: 3: parted_server() [0x402bb1]
Apr 11 15:57:03 kubuntu ubiquity: 2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7ff3911eaec5]
Apr 11 15:57:03 kubuntu ubiquity: 1: parted_server() [0x402bda]

tags: added: rls-t-incoming
Max Brustkern (nuclearbob) wrote :

Here is the crash file.

Max Brustkern (nuclearbob) wrote :

I've recreated this on today's ubuntu image as well. I didn't notice it on ubuntu images earlier this week using the same procedure, so it may be something new.

summary: - kubuntu amd64 image launched from usb stick doesn't install
+ amd64 image launched from usb has partman crash

Confirmed on i386 as well. Here's the output of parted -l:
Model: ATA WDC WD3200BPVT-7 (scsi)
Disk /dev/sda: 320GB
Sector size (logical/physical): 512B/4096B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 32.3kB 107MB 107MB primary fat16 diag
 2 107MB 15.8GB 15.7GB primary ntfs boot
 3 15.8GB 156GB 140GB primary ntfs
 4 156GB 320GB 164GB extended
 7 156GB 212GB 56.6GB logical ext4
 6 212GB 316GB 104GB logical ext4
 5 316GB 320GB 3999MB logical linux-swap(v1)

Model: ADATA USB Flash Drive (scsi)
Disk /dev/sdb: 15.7GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 24.6kB 15.7GB 15.7GB primary fat32 lba

summary: - amd64 image launched from usb has partman crash
+ daily image launched from usb has partman crash
Jean-Baptiste Lallement (jibel) wrote :

Confirmed by another report on Ubuntu Gnome 20140412.

For both reports the backtrace in syslog is:
Apr 12 23:58:07 ubuntu-gnome ubiquity: Backtrace has 9 calls on stack:
Apr 12 23:58:07 ubuntu-gnome ubiquity: 9: /lib/x86_64-linux-gnu/libparted.so.0(ped_assert+0x31) [0x7fcec7f364b1]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 8: /lib/x86_64-linux-gnu/libparted.so.0(+0x26451) [0x7fcec7f4d451]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 7: /lib/x86_64-linux-gnu/libparted.so.0(fat_open+0x115) [0x7fcec7f4fb85]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 6: /lib/x86_64-linux-gnu/libparted.so.0(ped_file_system_open+0x6f) [0x7fcec7f37d9f]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 5: parted_server() [0x40d967]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 4: parted_server() [0x40f4ac]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 3: parted_server() [0x402bb1]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7fcec7b82ec5]
Apr 12 23:58:07 ubuntu-gnome ubiquity: 1: parted_server() [0x402bda]

affects: ubiquity (Ubuntu) → parted (Ubuntu)
Changed in parted (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
importance: High → Critical
milestone: none → ubuntu-14.04
status: Incomplete → Confirmed
tags: removed: rls-t-incoming
description: updated
Rod Smith (rodsmith) wrote :

FWIW, the problem also occurs on BIOS boots and with MBR partition tables, not just EFI boot with GPT.

summary: - daily image launched from usb has partman crash
+ parted_server crashed with SIGABRT in ped_assert()
description: updated
Colin Watson (cjwatson) wrote :

Much simpler test case: "print NUMBER" in parted, where NUMBER is the partition number of a FAT-formatted partition on a local disk.

Changed in parted (Ubuntu Trusty):
assignee: Canonical Foundations Team (canonical-foundations) → Colin Watson (cjwatson)
status: Confirmed → In Progress
Colin Watson (cjwatson) on 2014-04-14
Changed in parted (Ubuntu Trusty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package parted - 2.3-19ubuntu1

---------------
parted (2.3-19ubuntu1) trusty; urgency=medium

  * Upload from Debian git repository to fix a release-critical bug.
  * Fix crash when opening FAT file systems (LP: #1306704).
 -- Colin Watson <email address hidden> Mon, 14 Apr 2014 11:56:10 +0100

Changed in parted (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers